# Changelog

## 2024-11-05 - 4.3.3 - fix(core)
Fix configuration initialization by accepting a config argument

- Configuration initialization now accepts an optional config argument
- Updated test cloudly factory to use default public URL and port
- Updated dependencies versions

## 2024-11-05 - 4.3.2 - fix(npmextra)
Updated npm registry URL in npmextra.json


## 2024-11-05 - 4.3.1 - fix(package)
Update dependency version for @git.zone/tspublish

- Bump @git.zone/tspublish from version ^1.7.6 to ^1.7.7 in package.json

## 2024-11-05 - 4.3.0 - feat(dependencies)
Upgrade dependencies and include publish orders

- Upgraded @git.zone/tsbuild to version ^2.2.0
- Upgraded @git.zone/tspublish to version ^1.7.6
- Upgraded @types/node to version ^22.8.7
- Added publish order to ts_apiclient/tspublish.json and ts_interfaces/tspublish.json

## 2024-11-04 - 4.2.1 - fix(config)
Fix Docker image URL in Gitea workflow.

- Corrected the IMAGE URL from 'hosttoday' to 'host.today'.

## 2024-11-04 - 4.2.0 - feat(cloudron)
Add Dockerfile for Cloudron deployment

- Introduced a new Dockerfile for Cloudron deployment.
- The Dockerfile uses the latest version of cloudly as a base image.

## 2024-10-28 - 4.1.3 - fix(dependency)
Updated dependency @git.zone/tspublish to version ^1.6.0

- Bumped @git.zone/tspublish version from ^1.5.5 to ^1.6.0 in package.json

## 2024-10-28 - 4.1.2 - fix(core)
Corrected description and devDependencies

- Updated package.json description to accurately reflect features.
- Added `@git.zone/tsdoc` to devDependencies.
- Corrected version discrepancy in `@types/node` devDependency.
- Standardized description across multiple files including npmextra.json.

## 2024-10-28 - 4.1.1 - fix(core)
Fixed syntax issues in commitinfo data and package.json file.

- Added a missing newline at the end of the package.json file.
- Corrected a trailing comma and added proper syntax in the commitinfo data.

## 2024-10-28 - 4.1.0 - feat(core)
Enhance core functionality for cloud management and orchestration

- Improved initialization and management of cloud environments with Docker Swarmkit.
- Added capability to manage DNS records via Cloudflare.
- Introduced integration support for DigitalOcean resources.

## 2024-10-28 - 4.0.1 - fix(package_manager)
Update @git.zone/tspublish dependency version

- Bump @git.zone/tspublish version from 1.5.4 to 1.5.5.

## 2024-10-28 - 4.0.0 - BREAKING CHANGE(core)
Significant overhaul with potential breaking changes, update to version 3.0.0

- Updated project version from 1.2.5 to 3.0.0 in package.json

## 2024-10-28 - 1.2.5 - fix(build)
Updated devDependencies for tspublish and removed buildDocs script

- devDependencies updated: @git.zone/tspublish to version ^1.5.4
- Removed: buildDocs script from the scripts section

## 2024-10-27 - 1.2.4 - fix(ci)
Fix Docker images and npm registry URL in CI workflows

- Updated Docker image registry URL from 'registry.gitlab.com' to 'code.foss.global'.
- Fixed npmci package installation path from '@shipzone/npmci' to '@ship.zone/npmci'.

## 2024-10-23 - 1.2.3 - fix(cli)
Set up CLI client definition and registry configuration

- Added a console log message for CLI identification.
- Defined package name for CLI client.
- Configured npm registries for package distribution.

## 2024-10-23 - 1.2.2 - fix(docs)
Updated documentation with clearer usage instructions and examples.

- Refined setup guides in README.
- Added more detailed examples in code snippets.
- Clarified cloud service integration instructions.

## 2024-10-23 - 1.2.1 - fix(core)
Fixed startup issue for the Cloudly instance


## 2024-10-21 - 1.2.0 - feat(cli)
Add tspublish.json for CLI client and interfaces

- Added registration details for publishing CLI client (@serve.zone/cli)
- Specified npm and custom registries in the tspublish.json for better publish control
- Updated dependency version for @git.zone/tspublish in package.json

## 2024-10-21 - 1.1.9 - fix(build)
Update Node types and other dependencies, add tspublish.json for api client

- Updated Node types devDependency to version ^22.7.7 from ^22.7.5.
- Updated smartbucket dependency to version ^3.0.23 from ^3.0.22.
- Added tspublish configuration file to the api client.
- Fixed the npm publish script in package.json.

## 2024-10-16 - 1.1.8 - fix(big fix upgrade)
fix: update dependency versions and address type errors

- Updated all listed dependencies in the package.json to their specified ranges.
- Fixed type mismatches and added missing imports in various TypeScript files.
- Refined existing tests and added a new helper to manage Docker image streams.

## 2024-08-25 - 1.1.7 - fix(deps)
Update dependencies to latest versions

- Updated @git.zone/tsbuild from ^2.1.80 to ^2.1.84
- Updated @push.rocks/tapbundle from ^5.0.23 to ^5.0.24
- Updated @types/node from ^20.14.6 to ^22.5.0
- Updated @apiclient.xyz/docker from ^1.2.2 to ^1.2.3
- Updated @design.estate/dees-catalog from ^1.0.289 to ^1.1.6
- Updated @design.estate/dees-element from ^2.0.34 to ^2.0.36
- Updated @git.zone/tsrun from ^1.2.37 to ^1.2.49
- Updated @push.rocks/smartbucket from ^3.0.20 to ^3.0.22
- Updated @push.rocks/smartpromise from ^4.0.3 to ^4.0.4
- Updated @serve.zone/interfaces from ^1.0.74 to ^1.0.78
- Updated @tsclass/tsclass from ^4.0.60 to ^4.1.2

## 2024-06-20 - 1.1.6 - Updates
Routine updates and fixes.

- (fix) core: update

## 2024-06-13 - 1.1.4 - Service Management Preparation
Incorporated updates and service management preparations.

- (fix) core: update
- (feat) prepare service management

## 2024-06-05 - 1.1.3 - CI Integration Improvement
Structural improvements and better CI integration preparation.

- (fix) structure: improve structure, prepare better CI integration

## 2024-06-02 - 1.1.2 - Image Manager Update
Prepared proper storage and retrieval of container images.

- (fix) imagemanager: prepare proper storage and retrieval of container images

## 2024-06-01 - 1.1.0 - Image Registry Work
Initiated work on image registry.

- (fix) image registry: start work on image registry

## 2024-05-30 - 1.0.216 - Enhanced Smartguards
Enhanced smartguards to verify action authorization.

- (feat) guards: use better smartguards to verify action authorization

## 2024-05-28 - 1.0.215 - Unified Package Update
Updated package unification for cloudly + API + CLI.

- (fix) switch to unified package for cloudly + API + CLI: update

## 2024-05-05 - 1.0.214 - Core Updates
Routine core updates.

- (fix) core: update

## 2024-04-20 - 1.0.213 - Core Update
Routine core updates.

- (fix) core: update
